Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Interface Options.DisplayIro

All Known Implementing Classes:
  Options.Display

Enclosing class:
  Options

    public static interface Options.DisplayIro

Options.DisplayIro - Interface for Accessing Display options for JBrowse

Field Summary
`static int` | `STYLE_CUSTOM`
`static int` | `STYLE_FIRST`
`static int` | `STYLE_JAVA`
`static int` | `STYLE_LAST`
`static int` | `STYLE_UML`

Method Summary
`boolean` | `getAbstractItalic()`
`boolean` | `getAlphaSort()`
`Options.DisplayIro` | `getInverseOptions()`
`boolean` | `getShowArgumentNames()`
`boolean` | `getShowArguments()`
`boolean` | `getShowIconKeywords()`
`boolean` | `getShowLineNum()`
`boolean` | `getShowMiscMod()`
`boolean` | `getShowNestedName()`
`boolean` | `getStaticUlined()`
`int` | `getStyleIndex()`
`boolean` | `getTypeIsSuffixed()`
`boolean` | `getVisSymbols()`

Field Detail

### STYLE_FIRST

    static final int STYLE_FIRST

See Also:
  Constant Field Values

### STYLE_UML

    static final int STYLE_UML

See Also:
  Constant Field Values

### STYLE_JAVA

    static final int STYLE_JAVA

See Also:
  Constant Field Values

### STYLE_CUSTOM

    static final int STYLE_CUSTOM

See Also:
  Constant Field Values

### STYLE_LAST

    static final int STYLE_LAST

See Also:
  Constant Field Values

Method Detail

### getShowArguments

    boolean getShowArguments()

### getShowArgumentNames

    boolean getShowArgumentNames()

### getShowNestedName

    boolean getShowNestedName()

### getShowIconKeywords

    boolean getShowIconKeywords()

### getShowMiscMod

    boolean getShowMiscMod()

### getAlphaSort

    boolean getAlphaSort()

### getShowLineNum

    boolean getShowLineNum()

### getStyleIndex

    int getStyleIndex()

### getVisSymbols

    boolean getVisSymbols()

### getAbstractItalic

    boolean getAbstractItalic()

### getStaticUlined

    boolean getStaticUlined()

### getTypeIsSuffixed

    boolean getTypeIsSuffixed()

### getInverseOptions

    Options.DisplayIro getInverseOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.